Skip to main content
GET
/
v1
/
rotating
/
smartParamsBuilder
Smart parameters builder
curl --request GET \
  --url https://api.example.com/v1/rotating/smartParamsBuilder \
  --header 'X-Api-Key: <api-key>'
{
  "username": "user-USERNAME-type-residential-session-my_session_1-country-US-city-New_York-rotation-15",
  "password": "PASSWORD",
  "host": "geo.g-w.info",
  "port": 10080,
  "connectionString": "http://user-USERNAME-type-residential-session-my_session_1-country-US-city-New_York-rotation-15:PASSWORD@geo.g-w.info:10080"
}

Authorizations

X-Api-Key
string
header
required

Query Parameters

type
enum<string>
required

Proxy type

Available options:
residential,
mobile,
datacenter
Example:

"residential"

country
string
required

2-letter country code (CCA2)

Required string length: 2
Example:

"US"

city
string

City name, use underscores for spaces

Example:

"New_York"

rotation
integer
default:0

Rotation interval in minutes, -1 for per-request rotation, 0 for sticky session

Required range: -1 <= x <= 60
Example:

15

session
string

A unique identifier used to create and maintain a session, enabling consistent control over IP address usage.

Maximum string length: 128
Example:

"my_session_1"

protocol
enum<string>
required

Proxy protocol

Available options:
http,
https,
socks5,
Example:

"http"

Response

200 - application/json

Successful response

username
string
required

Proxy username with parameters

Example:

"user-USERNAME-type-residential-session-my_session_1-country-US-city-New_York-rotation-15"

password
string
required

Proxy password placeholder

Example:

"PASSWORD"

host
string
required

Proxy hostname

Example:

"geo.g-w.info"

port
number
required

Proxy port

Example:

10080

connectionString
string
required

Full proxy connection string

Example:

"http://user-USERNAME-type-residential-session-my_session_1-country-US-city-New_York-rotation-15:PASSWORD@geo.g-w.info:10080"